org.keycloak.dom.saml.v2.protocol

## Class StatusResponseType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType
  - - org.keycloak.dom.saml.v2.protocol.StatusResponseType

- All Implemented Interfaces:
    Serializable, SAML2Object
  Direct Known Subclasses:
    ArtifactResponseType, NameIDMappingResponseType, ResponseType

      public class StatusResponseType
      extends CommonResponseType
      implements SAML2Object

  Java class for StatusResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Issuer" minOccurs="0"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Extensions" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Status"/>
             </sequence>
             <attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="InResponseTo" type="{http://www.w3.org/2001/XMLSchema}NCName" />
             <attribute name="Version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="Destination" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Consent" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `consent`
    `protected String` | `destination`
    `protected ExtensionsType` | `extensions`
    `protected String` | `id`
    `protected XMLGregorianCalendar` | `issueInstant`
    `protected NameIDType` | `issuer`
    `protected StatusType` | `status`
    `protected String` | `version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `inResponseTo, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusResponseType(StatusResponseType srt)`
    `StatusResponseType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConsent()` Gets the value of the consent property.
    `String` | `getDestination()` Gets the value of the destination property.
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `NameIDType` | `getIssuer()` Gets the value of the issuer property.
    `StatusType` | `getStatus()` Gets the value of the status property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setConsent(String value)` Sets the value of the consent property.
    `void` | `setDestination(String value)` Sets the value of the destination property.
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
    `void` | `setIssuer(NameIDType value)` Sets the value of the issuer property.
    `void` | `setStatus(StatusType value)` Sets the value of the status property.

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `getID, getInResponseTo, getIssueInstant, getSignature, setInResponseTo, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### issuer

          protected NameIDType issuer

    - #### extensions

          protected ExtensionsType extensions

    - #### status

          protected StatusType status

    - #### id

          protected String id

    - #### version

          protected String version

    - #### issueInstant

          protected XMLGregorianCalendar issueInstant

    - #### destination

          protected String destination

    - #### consent

          protected String consent

  - ### Constructor Detail

    - #### StatusResponseType

          public StatusResponseType(String id,
                                    XMLGregorianCalendar issueInstant)

    - #### StatusResponseType

          public StatusResponseType(StatusResponseType srt)

  - ### Method Detail

    - #### getIssuer

          public NameIDType getIssuer()

      Gets the value of the issuer property.
      Returns:
        possible object is `NameIDType`

    - #### setIssuer

          public void setIssuer(NameIDType value)

      Sets the value of the issuer property.
      Parameters:
        `value` - allowed object is `NameIDType`

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### getStatus

          public StatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `StatusType`

    - #### setStatus

          public void setStatus(StatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `StatusType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### getDestination

          public String getDestination()

      Gets the value of the destination property.
      Returns:
        possible object is `String`

    - #### setDestination

          public void setDestination(String value)

      Sets the value of the destination property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConsent

          public String getConsent()

      Gets the value of the consent property.
      Returns:
        possible object is `String`

    - #### setConsent

          public void setConsent(String value)

      Sets the value of the consent property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.